<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetTrailerResult StructType
 * @subpackage Structs
 */
class GetTrailerResult extends ExecutionResult
{
    /**
     * The Trailers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfTrailerResult
     */
    public $Trailers;
    /**
     * Constructor method for GetTrailerResult
     * @uses GetTrailerResult::setTrailers()
     * @param \ArrayType\ArrayOfTrailerResult $trailers
     */
    public function __construct(\ArrayType\ArrayOfTrailerResult $trailers = null)
    {
        $this
            ->setTrailers($trailers);
    }
    /**
     * Get Trailers value
     * @return \ArrayType\ArrayOfTrailerResult|null
     */
    public function getTrailers()
    {
        return $this->Trailers;
    }
    /**
     * Set Trailers value
     * @param \ArrayType\ArrayOfTrailerResult $trailers
     * @return \StructType\GetTrailerResult
     */
    public function setTrailers(\ArrayType\ArrayOfTrailerResult $trailers = null)
    {
        $this->Trailers = $trailers;
        return $this;
    }
}
